
package org.tio.sitexxx.server.http;

import org.tio.http.common.HttpConfig;
import org.tio.http.common.HttpRequest;
import org.tio.http.common.session.HttpSession;
import org.tio.http.server.session.HttpSessionListener;
import org.tio.sitexxx.service.vo.SessionExt;
import org.tio.sitexxx.service.vo.SessionKey;

/**
 * @author tanyaowu 
 * 2016年9月27日 下午2:04:10
 */
public class WebApiHttpSessionListener implements HttpSessionListener {
	public static final WebApiHttpSessionListener ME = new WebApiHttpSessionListener();

	/** 
	 * @param session
	 * @author: tanyaowu
	 */
	@Override
	public void doAfterCreated(HttpRequest request, HttpSession session, HttpConfig httpConfig) {
		session.setAttribute(SessionKey.SESSION_EXT, new SessionExt(), httpConfig);
	}

	public static boolean isValidSessionId(String s) {
		return true;
	}
}
